com.threerings.parlor.tourney.data

## Class Prize

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.parlor.tourney.data.Prize

All Implemented Interfaces:
  com.threerings.io.Streamable

    public abstract class Prize
    extends com.threerings.io.SimpleStreamableObject

Extensible class that specifies the prize for a tourney.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Constructor Summary

Constructors
Constructor and Description
`Prize()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract String` `getDescription()` Returns a description of the prize.

### Methods inherited from class com.threerings.io.SimpleStreamableObject

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Prize

    public Prize()

### Method Detail

#### getDescription

    public abstract String getDescription()

Returns a description of the prize.